%define name		perl-File-Edit
%define realname	File-Edit
%define version		0.3.1
%define release		1mdk

Summary: File::Edit for inplace-editing of files.

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{realname}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.00503 

%description
File::Edit is a Perl module which defines an easy to use interface for
inplace-editing of files. You can delete only one pattern or all
lines where the pattern matches.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL

%make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README.en TODO
%{_libdir}/perl5/site_perl
%{_libdir}/perl5/man/man3/*

%changelog
* Tue Mar  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1 

